# ifndef _ROW_HEADER_
# define _ROW_HEADER_

/* Functions declared in cr_rows.c */
extern void init_crRows(void);

/* Functions declared in rows.c */
extern void initRowSums(void);
extern void global_bounds(Prism *pz);
extern double beta_dif_star(double *deriv);
extern double gamdif_star(double *deriv, double *pmat);
extern void Rglobal_bounds(RPrism *pz);
extern void Rbeta_dif_star(APM answer, APM *deriv);
extern void Rgamdif_star(APM answer, APM *deriv, APM *pmat);

/* Variables declared in rowSums.c */
extern int	isNewPrism ;
extern APM	neg_one, neg_two, Rrow_abs[] ;

extern Bdd_expr		a_sin, b_sin, c_sin ;
extern Bapm_expr	Ra_sin, Rb_sin, Rc_sin ;
 
# endif /* _ROW_HEADER_ */
