# ifndef _APM_SPECIALS_
# define _APM_SPECIALS_
# include "apmUtil.h" /* apmTruncate(), apmtodbl(), dbltoapm() */

# define MAX_TRIG_TERMS  100
# define DFLT_TRIG_DP    20

# define PI_DP	    (sizeof(pi_str) / sizeof(char) - 3)

# ifndef YES
# define YES  1
# define NO   0
# endif 

# ifndef m_swap
# define m_swap(x,y,t)	(t=x, x=y, y=t) 
# endif 

/* Variables declared in apmSpecial.h */
extern APM    zero, one, two, four, eight, sixteen ;
extern APM    pi, two_pi, half_pi, threeHalf_pi, eighths_2pi[8] ;

/* Functions defined in apmSpecial.h */
extern int initApmSpecials( int base ) ;
extern int setTrigDp( int dp ) ;
extern int apmLogBd( APM x ) ;
extern void apmSin( APM result, APM x ) ;
extern void apmCos( APM result, APM x ) ;
extern void apmSqrt( APM result, int dp, APM x ) ;
extern void apmFloor( APM result, APM arg, int base ) ;

# endif /* _APM_SPECIALS_ */
